
Redmine - Defect #30949

Roadmap shows 100%, but one of its tasks is still set to 90%

2019-03-01 12:17 - Particip IT

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version: 3.4.8

Description

I am using Redmine for controlling the development of an application inside the company I work for. I am just about to close the last

release and realised that, even though one of the issues included in this version is still at 90%, the roadmap is showing me that the

version is completed.

See screenshots for more details.

This is the information about our Redmine Installation:

Environment:

  Redmine version                3.4.8.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

  Rails version                  4.2.11

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.11.0

  Filesystem                     

Redmine plugins:

  a_common_libs                  2.4.7

  easy_gantt                     1.10

  easy_mindmup                   1.0

  easy_wbs                       1.5

  redmine_base_deface            0.0.1

  redmine_default_assign         0.6

  redmine_editauthor             0.11.0

  redmine_extended_watchers      1.0.5

  redmine_issue_history          1.0.0

  redmine_issue_templates        0.2.0

  redmine_query_share            2.1.0

  redmine_refresh                0.2.0

  unread_issues                  2.2.0

 We use MariaDB as database

It is not a big deal for us, but it may be interesting fro you to know.

All the best

Related issues:

Related to Redmine - Defect #27848: The progress exceeding 99.5% is displayed... Closed

Associated revisions

Revision 18265 - 2019-06-20 08:29 - Jean-Philippe Lang

Roadmap shows 100%, but one of its tasks is still set to 90% (#30949).

Patch by Bernhard Rohloff.

Revision 18266 - 2019-06-20 08:29 - Jean-Philippe Lang
Test for #30949.

Patch by Marius BALTEANU.

History

#1 - 2019-03-01 17:28 - Bernhard Rohloff

- File prevent_rounding_of_version_progress.diff added

I can reproduce it and agree, that this is an odd behavior.

The issue is that the calculated done ratio gets rounded before displaying which in my opinion is wrong.

Attached you can find a patch to fix it. Feedback is highly appreciated. :)

#2 - 2019-03-01 17:39 - Bernhard Rohloff

By the way...

The issue is also related to #27848 where a different approach was chosen to fix nearly the same problem, so it would be nice to have a bit of

feedback from the Redmine veterans, too.

#3 - 2019-03-01 18:13 - Bernhard Rohloff

- File fix_rounding_of_progress_bar.diff added

- File show_correct_progress_values.diff added

Just split up my previous patch and made rounding similar to #27848.

I think that's the better way.

#4 - 2019-03-20 10:14 - Bernhard Rohloff

- Related to Defect #27848: The progress exceeding 99.5% is displayed as 100% added

#5 - 2019-03-24 09:10 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#6 - 2019-03-24 10:22 - Marius BĂLTEANU

- Description updated

#7 - 2019-03-24 13:01 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Target version set to 4.1.0

Bernhard Ganslmeier, I've reviewed your patches from note-3 and your fixes look good to me.

I've created a test as well to be applied on top of your patches. The patch can be found here.

Tests pass: https://gitlab.com/marius-balteanu/redmine/-/jobs/183120442

#8 - 2019-03-31 23:51 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

#9 - 2019-06-20 08:29 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch and test committed, thanks to both of you.

Files

ticket.png 26.2 KB 2019-03-01 Particip IT

roadmap.png 37.4 KB 2019-03-01 Particip IT

prevent_rounding_of_version_progress.diff 1.76 KB 2019-03-01 Bernhard Rohloff

fix_rounding_of_progress_bar.diff 505 Bytes 2019-03-01 Bernhard Rohloff

show_correct_progress_values.diff 1.27 KB 2019-03-01 Bernhard Rohloff
